This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 120305 - libselinux memory leaks
libselinux memory leaks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 13:28 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 18:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch that fixes the memory leaks (1.27 KB, patch)
2004-04-07 13:30 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-04-07 13:28:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
I was doing a code review of libselinux and found a couple of memory
leaks.

Version-Release number of selected component (if applicable):
libselinux-1.6-3

How reproducible:
Always

Steps to Reproduce:
Found during code review.
    

Additional info:

I will attach a patch that fixes these problems.
Comment 1 Steve Grubb 2004-04-07 13:30:28 EDT
Created attachment 99201 [details]
Patch that fixes the memory leaks

Please apply before fedora core 2 final.
Comment 2 Daniel Walsh 2004-04-07 14:45:21 EDT
Thanks applied to libselinux-1.10-2

Note You need to log in before you can comment on or make changes to this bug.